PUT TimeSaver/PutEmployeeAttendanceSummaries
Request Information
URI Parameters
None.
Body Parameters
Collection of EmployeeAttendanceSummary| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | globally unique identifier |
None. |
|
| EmployeeID | globally unique identifier |
Required |
|
| SiteShiftID | globally unique identifier |
None. |
|
| QueryCategoryID | globally unique identifier |
None. |
|
| AttendanceDate | date |
Required |
|
| Hours | integer |
Required |
|
| Minutes | integer |
Required |
|
| Seconds | integer |
Required |
|
| HoursWorked | decimal number |
Required |
|
| TotalBreakMinutes | decimal number |
Required |
|
| DecisionID | DecisionType |
Required |
|
| DecisionDate | date |
None. |
|
| DecisionComments | string |
None. |
|
| IsQuery | boolean |
Required |
|
| IsClockedOut | boolean |
Required |
|
| ActualClockInTime | date |
None. |
|
| ThresholdClockInTime | date |
None. |
|
| ActualClockOutTime | date |
None. |
|
| ThresholdClockOutTime | date |
None. |
|
| OvertimeHoursWorked | decimal number |
Required |
|
| OvertimeHours | integer |
Required |
|
| OvertimeMinutes | integer |
Required |
|
| OvertimeSeconds | integer |
Required |
|
| IsOvertime | boolean |
Required |
|
| ApprovedBySecurityGroupUserID | globally unique identifier |
None. |
|
| ApprovedDate | date |
None. |
|
| Notes | string |
None. |
|
| IsConfirmed | boolean |
Required |
|
| ConfirmedDateTime | date |
None. |
|
| ConfirmedBySecurityGroupUserID | globally unique identifier |
None. |
|
| UnprocessedScans | boolean |
Required |
|
| RunningCompressedTotalWorked | decimal number |
None. |
|
| CompressedExpectedWeekHours | decimal number |
None. |
Request Formats
application/json, text/json
Sample:
[
{
"$id": "1",
"id": "02416c09-0ee1-4774-8599-c63c52a26ac3",
"employeeID": "86a1f5c1-dd0c-4aaf-b932-eac2a8c142f3",
"siteShiftID": "1a62e776-c5f7-4052-b884-7faa315ff3bc",
"queryCategoryID": "9a5aaee5-3b65-432a-b5e4-452527c0051c",
"attendanceDate": "2026-06-12T22:58:44.9138301+00:00",
"hours": 4,
"minutes": 5,
"seconds": 6,
"hoursWorked": 7.0,
"totalBreakMinutes": 8.0,
"decisionID": 1,
"decisionDate": "2026-06-12T22:58:44.9138301+00:00",
"decisionComments": "sample string 9",
"isQuery": true,
"isClockedOut": true,
"actualClockInTime": "2026-06-12T22:58:44.9138301+00:00",
"thresholdClockInTime": "2026-06-12T22:58:44.9138301+00:00",
"actualClockOutTime": "2026-06-12T22:58:44.9138301+00:00",
"thresholdClockOutTime": "2026-06-12T22:58:44.9138301+00:00",
"overtimeHoursWorked": 12.0,
"overtimeHours": 13,
"overtimeMinutes": 14,
"overtimeSeconds": 15,
"isOvertime": true,
"approvedBySecurityGroupUserID": "dfcd2113-3c02-4fc7-abb1-e1f16a7ac637",
"approvedDate": "2026-06-12T22:58:44.9138301+00:00",
"notes": "sample string 17",
"isConfirmed": true,
"confirmedDateTime": "2026-06-12T22:58:44.9138301+00:00",
"confirmedBySecurityGroupUserID": "a401c671-df5c-4921-8168-a1dcc9874bb7",
"unprocessedScans": true,
"runningCompressedTotalWorked": 1.0,
"compressedExpectedWeekHours": 1.0
},
{
"$ref": "1"
}
]
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServiceResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| IsSuccess | boolean |
None. |
|
| ErrorMessage | string |
None. |
|
| Code | string |
None. |
|
| Response | ServiceItem |
None. |
|
| LatestDataTimestampUtc | date |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.